Содержание

Перейти к концу метаданных
Переход к началу метаданных

Astra Linux Special Edition версии 1.6

Настройка для работы в домене (авторизация через Керберос)

Сценарий настройки PostgreSQL для работы в домене ALD или FreeIPA (авторизация через Керберос)

keytab="/etc/postgresql/9.6/main/keytab"

ald-admin service-add postgres/`hostname`

ald-admin sgroup-svc-add postgres/`hostname` --sgroup=mac

ald-client update-svc-keytab postgres/`hostname` --ktfile="$keytab"

chown postgres "$keytab"

chmod 644 "$keytab"

В файле /etc/postgresql/9.6/main/postgresql.conf в строке host указать параметры аутентификации gss include_realm=0, и добавить указание на файл ключей, например: 

host all all <адрес> gss include_realm=0
krb_server_keyfile='/etc/postgresql/9.6/main/keytab'

Настройка для работы с учетом мандатных привилегий

В файле /etc/postgresql/9.6/main/postgresql.conf значение параметра ac_ignore_socket_maclabel в установить в false.

После установки параметра сервер СУБД будет проверять мандатную метку входящего соединения, и передавать только информацию с меткой не выше метки входящего соединения. 

ac_ignore_socket_maclabel = false

Astra Linux Special Edition версии 1.5

Совместимость с 1С

Необходимо установки пакета postgresql-contrib

Необходимо внести изменения в настройки конфигурационного файла PostgreSQL - расскоментировать строки и поменять значения на:


backslash_quote = safe_encoding

escape_string_warning = off

standart_conforming_strings = off

Astra Linux Special Edition версии 1.3

Патч для совместимости с 1С

Для PostgreSQL 9.2

Не забудьте установить пакет postgresql-contrib

Также в postgresql.conf в строке 

shared_preload_libraries = 

допишите в конец библиотеку fix1c. Пример такой строки:

shared_preload_libraries = 'online_analyze, plantuner, fix1c'

Имейте в виду, что библиотеки у Вас могут быть прописаны другие.

Astra Linux Special Edition версии 1.4

Планировщик заданий для PostgreSQL pgAgent

pgagent_3.4.0-3_amd64.deb

Проект Orafce 

реализует некоторые функции из базы данных Oracle для PostgreSQL

postgresql-9.2-orafce_3.0.14-1astra.se0_amd64.deb
postgresql-9.3-orafce_3.0.14-1astra.se0_amd64.deb

Патч для совместимости с 1С

Для PostgreSQL 9.2
Для PostgreSQL 9.3


Не забудьте установить пакет postgresql-contrib соответствующей версии

Также в postgresql.conf в строке 

shared_preload_libraries = 

допишите в конец библиотеку fix1c. Пример такой строки:

shared_preload_libraries = 'online_analyze, plantuner, fix1c'

Имейте в виду, что библиотеки у Вас могут быть прописаны другие.

СУБД PostgreSQL

Часто задаваемые вопросы
Developer FAQ
Documentation

  • Нет меток